Theme and plugin developers: Upgrade guide for FlatPress 1.3

For devs and testers: Tests of current development versions, technical details of the code.
Post Reply
User avatar
Arvid
FlatPress Coder
Posts: 443
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Theme and plugin developers: Upgrade guide for FlatPress 1.3

Post by Arvid » Wed Nov 02, 2022 8:30 pm

Hi,

FlatPress 1.3 will bring an update of the Smarty template engine from version 2.6 to 4. Smarty has changed significantly in between - if you contributed themes or plugins to FlatPress, they might need some changes to work with FlatPress 1.3 and higher.

I created a Smarty upgrade guide on the wiki. Its intention is to help theme designers and plugin developers to successfully rework their themes/plugins to be Smarty 4 (and thus, FlatPress 1.3) compatible.

How to rework your themes and plugins for FlatPress 1.3 / Smarty 4

If you have any suggestions or additions to the article, please let me know.

All the best,
Arvid
Helpful FlatPress links: Project blog ๐Ÿ“ - FlatPress wiki ๐Ÿ“– - FlatPress@Twitter ๐Ÿฆ - FlatPress@Mastodon ๐Ÿ˜
Stay up to date with our feeds: Forum RSS feed ๐Ÿ“œ - Project blog RSS feed ๐Ÿ“œ
Feel free to say Thank you: Donate โค๏ธ

๐Ÿ”ฅ How to rework your themes and plugins for FlatPress 1.3 / Smarty 4 ๐Ÿ”ฅ

๐Ÿ‡ฉ๐Ÿ‡ช Fรผr meinen Arbeitgeber in Bochum habe ich eine Stelle zu besetzen: Junior-Systemadministrator ๐Ÿ‡ฉ๐Ÿ‡ช

User avatar
Arvid
FlatPress Coder
Posts: 443
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Re: Theme and plugin developers: Upgrade guide for FlatPress 1.3

Post by Arvid » Sat Nov 05, 2022 12:26 pm

I just added a solution to have your plugins running with both the old and the new Smarty version: https://wiki.flatpress.org/doc:tips:sma ... compatible
Helpful FlatPress links: Project blog ๐Ÿ“ - FlatPress wiki ๐Ÿ“– - FlatPress@Twitter ๐Ÿฆ - FlatPress@Mastodon ๐Ÿ˜
Stay up to date with our feeds: Forum RSS feed ๐Ÿ“œ - Project blog RSS feed ๐Ÿ“œ
Feel free to say Thank you: Donate โค๏ธ

๐Ÿ”ฅ How to rework your themes and plugins for FlatPress 1.3 / Smarty 4 ๐Ÿ”ฅ

๐Ÿ‡ฉ๐Ÿ‡ช Fรผr meinen Arbeitgeber in Bochum habe ich eine Stelle zu besetzen: Junior-Systemadministrator ๐Ÿ‡ฉ๐Ÿ‡ช

User avatar
fraenkiman
Posts: 63
Joined: Thu Feb 03, 2022 7:25 pm
Location: Berlin, Germany
Contact:

Re: Theme and plugin developers: Upgrade guide for FlatPress 1.3

Post by fraenkiman » Sun Nov 20, 2022 11:21 pm

Hello all,

I have added a column to the plugin overview in the wiki.
The emoticons indicate which plugins need action to make them work with the future FlatPress 1.3 release.

Please also have a look at the legacy-plugins. Maybe one or the other plugin can be made to work with FlatPress 1.3 in a few steps. Please use the revision notes of Arvid.

Have a good start into the new week
With best regards
Frank
My Flatpress-Blog [German]: https://frank-web.dedyn.io

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest